<?php

declare(strict_types=1);

namespace App\Entity\Booking;

// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use ApiPlatform\Metadata\ApiResource;
use Doctrine\ORM\Mapping as ORM;

/**
 * @todo : A la suite de la migration, il faut supprimer le nom de la table pour avoir une table EventRecur, et supprimer l'attribut discr.
 *
 * Évènement récurrent
 */
// #[Auditable]
#[ApiResource(operations: [])]
#[ORM\Entity]
class EventRecur extends AbstractBookingRecur
{
    #[ORM\ManyToOne(inversedBy: 'eventRecur')]
    private ?Event $event = null;

    public function getEvent(): ?Event
    {
        return $this->event;
    }

    public function setEvent(?Event $event): self
    {
        $this->event = $event;

        return $this;
    }
}
